//////////////////////////////////////////////////////////////////////////////////////////////
// Copyright 2016 Leszek Koltunski                                                          //
//                                                                                          //
// This file is part of Distorted.                                                          //
//                                                                                          //
// Distorted is free software: you can redistribute it and/or modify                        //
// it under the terms of the GNU General Public License as published by                     //
// the Free Software Foundation, either version 2 of the License, or                        //
// (at your option) any later version.                                                      //
//                                                                                          //
// Distorted is distributed in the hope that it will be useful,                             //
// but WITHOUT ANY WARRANTY; without even the implied warranty of                           //
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                            //
// GNU General Public License for more details.                                             //
//                                                                                          //
// You should have received a copy of the GNU General Public License                        // 
// along with Distorted.  If not, see <http://www.gnu.org/licenses/>.                       //
//////////////////////////////////////////////////////////////////////////////////////////////

attribute vec2 a_Position;       // Per-vertex position information we will pass in.
attribute vec2 a_TexCoordinate;  // Per-vertex texture coordinate information we will pass in.
varying   vec2 v_TexCoordinate;  //

//////////////////////////////////////////////////////////////////////////////////////////////
// empty 2D vertex shader for postprocessing

void main()
  {
  v_TexCoordinate = a_TexCoordinate;
  gl_Position = vec4(a_Position, 0.0, 1.0);
  }